Add Vm Classes To VDC

Add Vm Classes To VDC
Adds the specified Virtual Machine Classes to the VDC

Adds the list of Virtual Machine Classes to the VDC.The request will fail if Virtual Machine Classes are added to a Region Quota with Full Allocation.

Request
URI
POST
https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/virtualMachineClasses
COPY
Path Parameters
string
vdcUrn
Required

vdcUrn


Request Body
EntityReferences of type(s) application/json
Optional
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EntityReferences of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineEntityReferences1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"values":["object"]}' https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/virtualMachineClasses